--- !ditz.rubyforge.org,2008-03-06/issue 
title: sup-config name guessing logic can generate nil and crash
desc: ""
type: :bugfix
component: sup
release: "0.5"
reporter: Jean-Hadrien CHABRAN <jh@chabran.fr>
status: :closed
disposition: fixed
creation_time: 2008-03-09 17:45:46.095924 Z
references: 
- http://rubyforge.org/pipermail/sup-talk/2008-March/001260.html
id: a1a3427de5e8d4f74c0620f99e97ed92d21e924c
log_events: 
- - 2008-03-09 17:45:46.095961 Z
  - William Morgan <wmorgan-sup@masanjin.net>
  - created
  - ""
- - 2008-03-09 17:46:21.702965 Z
  - William Morgan <wmorgan-sup@masanjin.net>
  - added reference 1
  - ""
- - 2008-03-09 17:46:45.446763 Z
  - William Morgan <wmorgan-sup@masanjin.net>
  - changed reporter
  - ""
- - 2008-03-09 17:47:06.797832 Z
  - William Morgan <wmorgan-sup@masanjin.net>
  - changed status from unstarted to fixed
  - fixed in master
